=== debian/changelog ===
harden-doc (2.100) unstable; urgency=low

  * Updated to latest CVS version which includes:
     - Proper translation of the Debian Social Contract (Closes: #246104,
     #246107)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  1 Jun 2004 01:22:23 +0200

harden-doc (2.99) unstable; urgency=low

  * Removed lasg from Suggests
  * Updated to latest CVS version which includes:
    - More information regarding testing security support (Closes: #233955)
    - Correct links to the snoopy sourceforge project (Closes: #179409)
    - Guarddog is now listed as part of the firewall configuration packages
     (Closes: #170710)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  5 Mar 2004 09:17:06 +0100

harden-doc (2.98) unstable; urgency=low

  * Updated to the latest version and included the french translation.
  * Fixed maintainer e-mail address

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 14 Feb 2004 20:55:55 +0100

harden-doc (2.96) unstable; urgency=low

  * This is a new source package (harden-doc) based on Ola's harden-* 
    packages. I'm keeping the changelog of all the previous harden source
    packages changes (since some apply to changes previously done with
    this new version)
  * Updated the Manual from CVS (version 2.96)
  * This package now provides also the italian, german and japanese 
    translation which are fairly up-to-date.
  * Fixed the makefile which entered into an endless loop if the sources
    were not available.
  * The package now provides the SGML sources, fresh from CVS, it will
    still work if the CVS sources are not available and will retrieve them
    first.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  9 Sep 2003 13:47:11 +0200

harden (0.1.9) unstable; urgency=low

  * Split out harden-*flaws to its separate package.
  * Fixed descrioptions so that they do not contain a full stop.
  * Fixed other description issues.
  * Updated standards version to 3.5.8.
  * Updated securing debian howto from cvs.
  * Added depend on nagios, closes: #167624.
  * Fixed remoteaudit suggestion, closes: #175284.
  * Added suggestion of libsafe, closes: #144124.

 -- Ola Lundqvist <opal@debian.org>  Thu, 17 Apr 2003 17:32:58 +0200

harden (0.1.8) unstable; urgency=low

  * Fixed doc-base problem, closes: #167361.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Nov 2002 15:03:55 +0100

harden (0.1.7) unstable; urgency=medium

  * Fixed doc-base problem, closes: #151883.
    Thanks to Adam Byrtek <alpha@debian.org> for the fix.
  * Updated with the latest cvs, closes: #159467.

 -- Ola Lundqvist <opal@debian.org>  Wed, 11 Sep 2002 09:11:46 +0200

harden (0.1.6) unstable; urgency=medium

  * Updated with new security issues.

 -- Ola Lundqvist <opal@debian.org>  Thu, 29 Aug 2002 07:32:17 +0200

harden (0.1.5) unstable; urgency=low

  * Fixed build failure, closes: #146083. Thanks to:
    Junichi Uekawa <dancer@netfort.gr.jp>.
  * Licq is ok for unstable, closes: #144994.
  * Updated build structure.
  * Changed /etc/dpkg/dpkg.conf to /etc/dpkg/dpkg.cfg in howto,
    closes: #145002.

 -- Ola Lundqvist <opal@debian.org>  Tue,  7 May 2002 08:37:13 +0200

harden (0.1.4) unstable; urgency=critical

  * Updated flaw conflicts from woody security roundup.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sat, 27 Apr 2002 23:48:36 +0200

harden (0.1.3) unstable; urgency=medium

  * Updated because of new dsa information.

 -- Ola Lundqvist <opal@debian.org>  Wed, 17 Apr 2002 18:35:24 +0200

harden (0.1.2) unstable; urgency=low

  * Fixed conflict on phpgroupware, closes: #143057.
  * Added some new dsa from security.debian.org.
  * Conflicts with pidentd, closes: #143116.

 -- Ola Lundqvist <opal@debian.org>  Tue, 16 Apr 2002 23:12:41 +0200

harden (0.1.1) unstable; urgency=low

  * Fixed spelling error, closes: #141717.

 -- Ola Lundqvist <opal@debian.org>  Mon,  8 Apr 2002 20:51:11 +0200

harden (0.1.0) unstable; urgency=low

  * Updated security manual from cvs, closes: #141339.
  * Fixed build dependency, closes: #141263.
  * Fixed preconfigure problem, closes: #141285.
  * Added conflict with mtr, closes: #140146.
  * Conflict with buggy webmin, closes: #140370.
  * Fixed fetchmail problem by adding debconf question instead, closes:
    #94472.
  * Decided that the debconf questions is good enough for a new
    middle revision.

 -- Ola Lundqvist <opal@debian.org>  Fri,  5 Apr 2002 21:09:37 +0200

harden (0.0.15) unstable; urgency=low

  * Created a harden development package, closes: #113963.
  * No longer conflict with xvncviewer because it can be used in
    ssh-tunnel mode, closes: #136238.
  * Can not see any problems with the .dhelp file. Must be a old
    error, closes: #138636.
  * Started to use debconf to guide the installation, closes: #111322.

 -- Ola Lundqvist <opal@debian.org>  Fri, 22 Mar 2002 19:44:39 +0100

harden (0.0.14) unstable; urgency=low

  * Fixed dob-base problem in a better way.

 -- Ola Lundqvist <opal@debian.org>  Wed,  6 Mar 2002 16:48:56 +0100

harden (0.0.13) unstable; urgency=low

  * Updated howto.
  * Fix build dependency, closes: #133160.
  * Fixed postinst problem, closes: #130674.
  * Updated the documentation description, on what to read, closes:
    #133981.
  * Fixed long description line in harden-tools, closes: #130991.

 -- Ola Lundqvist <opal@debian.org>  Sun, 17 Feb 2002 11:43:05 +0100

harden (0.0.12) unstable; urgency=low

  * Fixed info file issues, closes: #127045, #127437.
  * Updated the harden howto, removing japan translation becuase
    of build errors.

 -- Ola Lundqvist <opal@debian.org>  Sat, 19 Jan 2002 12:20:11 +0100

harden (0.0.11) unstable; urgency=low

  * Fixed critical issue with net build assumption.
  * Fixed caffeine underrun problem in harden-doc. Doc-base, closes:
    #124259.
  * Changed priority, closes: #124131.
  * Fixed spelling error in harden-tools, closes: #124728.
  * Fixed spelling error in harden-servers, closes: #124727.

