=== debian/control ===
Source: harden-doc
Section: doc
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml, perl, texinfo, tetex-bin, tetex-extra
Standards-Version: 3.5.8

Package: harden-doc
Architecture: all
Recommends: lskb
Description: Useful documentation to secure a Debian system
 Harden-doc will install documentation an administrator can use
 to make a Debian system more secure.
 .
 It currently provides the 'Securing Debian Manual'
 from the Debian Documentation Project.
 .
 Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/
