## harden-doc 3.0.1.1

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,26 @@
 CVSROOT=:pserver:anonymous@cvs.debian.org:/cvs/debian-doc
 DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
 # These are the current languages that compile cleanly
-VALIDLANGS=es it de ru fr
+VALIDLANGS=en en de fr es it ru 
 
 all: build
 
 build: build-howto
 
 build-howto: howto-source
-	(cd howto-source && make EXTS="txt info ps pdf" LANGS="$(VALIDLANGS)")
+	(cd howto-source && make EXTS="txt ps pdf" LANGS="$(VALIDLANGS)")
 	touch build-howto
 
 install: install-howto
 
 install-howto: build-howto
-	(cd howto-source  && make publish PUBLISHDIR=$(DESTDOC) EXTS="txt info ps pdf" LNPUBDIRMAN="" LANGS="$(VALIDLANGS)")
+	(cd howto-source  && make publish PUBLISHDIR=$(DESTDOC) EXTS="txt ps pdf" LNPUBDIRMAN="" LANGS="$(VALIDLANGS)")
 	mv $(DESTDOC)/securing-debian-howto/*.ps $(DESTDOC)
 	mv $(DESTDOC)/securing-debian-howto/*.txt $(DESTDOC)
 	mv $(DESTDOC)/securing-debian-howto/*.pdf $(DESTDOC)
-	mkdir -p tmp-info
-	mv $(DESTDOC)/securing-debian-howto/*.info* tmp-info
-	./fixinfo
+#	mkdir -p tmp-info
+#	mv $(DESTDOC)/securing-debian-howto/*.info* tmp-info
+#	./fixinfo
 	mv $(DESTDOC)/securing-debian-howto $(DESTDOC)/html
 
 clean: howto-clean
