=== debian/changelog ===
harden-doc (3.0.1.1) unstable; urgency=medium

  * Readded english translation which was lost because the Makefile structure
    changed. Also added Italian and German translations, which were missing
    too. (Closes: #283977)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  3 Dec 2004 12:28:32 +0100

harden-doc (3.0.1) unstable; urgency=low

  * Updated to latest CVS version, mostly included updated translations
    (Closes: #281926)
  * Removed debian/harden-doc.info since no info targets are built

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 20 Nov 2004 01:48:05 +0100

harden-doc (3.0) unstable; urgency=low

  * Updated to latest CVS version.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  4 Jun 2004 20:14:45 +0200
