## harden-doc 3.2.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CVSROOT=:pserver:anonymous@cvs.debian.org:/cvs/debian-doc
 DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
 # These are the current languages that compile cleanly
-VALIDLANGS=en en de fr es it ru 
+VALIDLANGS=en de fr es it ru ja
 
 all: build
