=== howto-source/Makefile ===
--- 
+++ 
@@ -12,7 +12,12 @@
 # ------------------------------------------------------------------- #
 # Read local texmf.cnf file
 
-export TEXMFCNF=texmf:
+export PATH:=bin/:${PATH}
+ 
+# Woodys default LaTeX settings need more memory for en PDF
+export TEXMFCNF:=texmf/:
+
+.SUFFIXES:
 
 # Following default shall be edited by the coordinator for the entire
 # set of languages.  If a subsection owner wishes to override settings,
@@ -40,7 +45,7 @@
 PUBLISHDIR := ~/public_html/manuals.html
 
 # List of languages built for "distclean" target for DDP:
-LANGSALL := en de fr es it ru ja
+LANGSALL := en de fr es it ru ja zh-cn
 # List of languages built for "publish" target for DDP
 LANGS := en de fr es it ru ja
 
@@ -58,12 +63,18 @@
 # =================================================================== #
 # If some languages have problems building, filter-out in here.
 
+# define $(locale) for the following targets
+$(MANUAL).%.html.stamp $(MANUAL).%.txt $(MANUAL).%.ps $(MANUAL).%.pdf: \
+  locale=$(subst pt-br,pt_BR,\
+         $(subst zh-cn,zh_CN,\
+	 $*))
+
 ### Full guide
 
 # List of html stamp files to be built
 HTMLS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).html.stamp)
 
-# List of pdf to be built
+# List of txt to be built
 TXTS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).txt)
 
 # List of ps to be built
@@ -78,17 +89,13 @@
 # =================================================================== #
 # If some languages have problems building, filter-out in here.
 
-all: html txt 
-#all: html txt ps pdf
+all: html txt ps pdf
 html: $(HTMLS)
 text txt:  $(TXTS)
 ps:   $(PSS)
 pdf:  $(PDFS)
 
 publish: publish-html publish-txt publish-ps publish-pdf
-# NOTE: PS and PDF generation might not work OK for all 
-# languages (notably Japanese), consider using this instead:
-#publish: publish-html publish-txt 
 
 # =================================================================== #
 #                 Build rule part: If not package build               #
@@ -117,9 +124,8 @@
 	        $< > $(MANUAL).$*.sgml
 
 # HTML
-
-$(MANUAL).%.html.stamp: $(MANUAL).%.sgml  $(MANUAL).%.ent $(wildcard %/*.sgml)
-	debiandoc2html -l $* -c $<
+$(MANUAL).%.html.stamp: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
+	debiandoc2html -l $(locale) -c $<
 # since $(MANUAL).%.html/index.%.html cannot be a target file
 	@for file in `ls $(MANUAL).$*.html/*` ; do\
 	newfile=`echo $$file|\
@@ -136,18 +142,18 @@
 # TXT
 
 $(MANUAL).%.txt: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2text -l     $* $<
+	debiandoc2text -l $(locale) $<
 
 
 # PS
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2latexps -l  $(subst pt-br,pt_BR,$*) $<
+	debiandoc2latexps -l $(locale) $<
 
 # PDF
 
 $(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2latexpdf -l $* $<
+	debiandoc2latexpdf -l $(locale) $<
 
 
 # =================================================================== #
@@ -159,7 +165,7 @@
 	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
 	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
 	# install all html
-	@$(foreach lang,$(LANGS),\
+	$(foreach lang,$(LANGS),\
 	 install -p -m 644 $(MANUAL).$(lang).html/*.html \
 	          $(PUBLISHDIR)/$(MANUAL)/ ;\
 	)
@@ -211,7 +217,7 @@
 clean:
 	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov}
 	rm -f *~ prior.aux pprior.aux tar.gz.log
-	rm -f *.error $(MANUAL).*.ent date.ent $(MANUAL).*.tpt
+	rm -f *.error $(MANUAL).*.ent $(MANUAL).*.sgml date.ent $(MANUAL).*.tpt
 	rm -rf $(MANUAL)*.html *stamp
 
 .PHONY: all html text txt ps pdf \
