=== debian/changelog ===
harden-doc (3.2.4) unstable; urgency=low

  * Update to latest CVS:
    - Fix revision tracking issues and typos found by Jens Seidel
    - French translation update by Frederic Bothamy
    - German translation update by Jens Seidel
    - Minor revision of Portuguese translation by Philipe Gaspar and
      fixes to build by Jens Seidel

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 14 May 2005 22:04:58 +0200

harden-doc (3.2.3) unstable; urgency=low

  * Updated to latest CVS:
    - French translation update by Frederic Bothamy
  * Fixed ISO-8859-1 chars in debian/changelog

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 11 May 2005 21:13:12 +0200

harden-doc (3.2.2) unstable; urgency=medium

  * Updated to latest CVS in preparation for the sarge release:
    - French translation update by Frederic Bothamy
    - Minor fixes from Jens Seidel
    - Typo fixes spotted by Frdric Bothamy
    - Updated some information refering to the imminent release and note
      that some changes only apply to the old (3.1) Debian release
    - Added more information on kernel upgrades specially for those that
      might upgrade from older installs (which were not packaged-based)
    - Moved the apt 0.6 information to its own section.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 11 May 2005 00:45:58 +0200

harden-doc (3.2.1) unstable; urgency=medium

  * Updated to latest CVS with some improvements in the documentation
    including typo fixes. More specifically includes:
     - Rewrote the firewall section, moved the information that applies
       to woody down and expand the other sections including some
       information on how to manually set the firewall (with
       a sample script) and how to test the firewall configuration.
       (Closes: #297746)
     - Expanded the section on security updates mentioning library and
       kernel updates and how to detect when services need to be
       restarted. (Closes: #306502)
     - Fixed license name (Closes: #304770)
    The firewall section change is important so that 'sarge' users
    are aware of how they should tackle the issue, thus the medium
    priority. 
  * Removed some stale CVS files from the sources
  * Added warning notes to the spanish, russian and japanese translations
    since they are _very_ out of date and might contain innacurate 
    information.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  6 May 2005 21:06:55 +0200

harden-doc (3.2) unstable; urgency=low

  * Updated to latest CVS sources (version 3.2) with some improvements
    Also
    - Fixes call to ps (Closes: #302468)
    - Adds a FAQ item on how to recover from removing system users 
    (Closes: #302442)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 15 Apr 2005 00:44:24 +0200

harden-doc (3.0.1.4) unstable; urgency=low

  * Removed the Recommends on 'lskb' as it is no longer updated
  * Re-added the PDF generation once I've added the Build-Depends
    for cjk-latex and hbf-kanji48 necessary for Japanese PDF generation
    (I can't get zh-cn to build, however, probably because of a
    mis-configuration in my local system)
  * Added a note in debian/control regarding the language files provided
    in this package.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 13 Mar 2005 12:59:25 +0100

harden-doc (3.0.1.3) unstable; urgency=low

  * Updated from CVS

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Mar 2005 01:55:30 +0100

harden-doc (3.0.1.2) unstable; urgency=low

  * Updated from CVS, many changes including:
    - Clarify comments on ro /usr (Closes: #287522)
    - Clarification on RPC section (Closes: #256523)
  * Fix doc-base script, removed postscript, text and PDF versions
    since doc-base only handles HTML files at present. (Closes: #285664)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 16 Jan 2005 03:55:22 +0100
