=== debian/control ===
Source: harden-doc
Section: doc
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml, perl, texinfo, tetex-bin, tetex-extra, cjk-latex, hbf-kanji48
Standards-Version: 3.5.8

Package: harden-doc
Architecture: all
Description: Useful documentation to secure a Debian system
 Harden-doc will install documentation an administrator can use
 to make a Debian system more secure. It currently provides
 the 'Securing Debian Manual' from the Debian Documentation 
 Project.
 .
 The manual is provided both in English and in all available
 translations, which might not be, however fully up-to-date.
 Available translations include:
 French, German, Japenese, Italian, Russian, and Spanish. 
 .
 Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/
