## harden-doc 3.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 CVSROOT=:pserver:anonymous@cvs.debian.org:/cvs/debian-doc
 DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
 # These are the current languages that compile cleanly
-VALIDLANGS=en de fr es it ru ja
+# and are sufficiently up to date
+VALIDLANGS=en de fr ja zh-cn
 
 all: build
