=== howto-source/Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 # List of languages built for "distclean" target for DDP:
 LANGSALL := en de fr es it ru ja zh-cn
 # List of languages built for "publish" target for DDP
-LANGS := en de fr es it ru ja
+LANGS := en de fr es it ru ja zh-cn
 
 
 # Files which affect SGML generation (excluding *.sgml)
