=== debian/changelog ===
harden-doc (3.3) unstable; urgency=low

  * Updated to latest CVS version (3.3)
    - Rewrite section on services (default ones installed, how to remove
    them or deactive them, etc.)  (Closes: #312811)
    - Add a sample code using grep-status to output the list of packages
    that Depend on perl (Closes: #302470)
    - French translation update by Frdric Bothamy
    - German translation update by Simon Brandmair, Jens Seidel
    - Minor fixes from Jens Seidel
  * Added zh-cn to the build
  * debian/control: Added to Build-Depends-Indep:
     - gs-gpl | gs-esp: required for PDF's thumbnail generation.
     - tfm-arphic-gkai00mp: zh_CN Kai TeX font metric files, depends
      on truetype font package
     - added versioned dependency (>= 1.1.86) on debiandoc-sgml
  * Removed Italian, Russian and Spanish version from the build
    as they are not being kept up to date.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 18 Jun 2005 23:58:48 +0200
