## harden-doc 3.4

=== howto-source/Makefile ===
--- 
+++ 
@@ -47,8 +47,10 @@
 # List of languages built for "distclean" target for DDP:
 LANGSALL := en de fr es it ru ja zh-cn
 # List of languages built for "publish" target for DDP
-LANGS := en de fr es it ru ja zh-cn
-
+LANGS    := en de fr 
+# This are all the languages, not all are compiled for DDP
+# due to them being out of dte
+#LANGS    := en de fr es it ru ja zh-cn
 
 # Files which affect SGML generation (excluding *.sgml)
 SGMLENTS := custom.ent default.ent
