=== debian/changelog ===
harden-doc (3.4) unstable; urgency=low

  * Updated to latest CVS version (3.4):
      * Improved the after installation security enhancements related to
      kernel configuration for network level protection with a sysctl.conf
      file provided by Will Moy.
      * Improved the gdm section, thanks to Simon Brandmair.
      * Typo fixes from Frederic Bothamy and Simon Brandmair.
      * Improvements in the after installation sections related
      to how to generate the MD5 (or SHA-1) sums of binaries
      for periodic review.
      * Updated the after installation sections regarding
      checksecurity configuration (was out of date).
      - German translation update by  Simon Brandmair, proofread by Jens
        Seidel
      - French translation update by Frederic Bothamy
  * Clarify licensing in debian/copyright (Closes: #333453)
  * Updated the FSF address
  * Removed out of date languages: Spanish, Russian, Italian and Chinese
  * Fix encoding in debian/changelog

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 19 Oct 2005 10:01:19 +0200
