## harden-doc 3.5

=== howto-source/Makefile ===
--- 
+++ 
@@ -129,15 +129,15 @@
 $(MANUAL).%.html.stamp: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
 	debiandoc2html -l $(locale) -c $<
 # since $(MANUAL).%.html/index.%.html cannot be a target file
-	@for file in `ls $(MANUAL).$*.html/*` ; do\
+	@for file in `ls $(MANUAL).$*.html/*` ; do \
 	newfile=`echo $$file|\
 	    sed 's/$(shell echo $*|\
 		sed 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ_/abcdefghijklmnopqrstuvwxyz-/'\
-		)\.html/$*\.html/'`;\
-	if [ $$file != $$newfile ] ; then\
-		mv $$file $$newfile;\
-		echo "Rename $$file --> $$newfile";\
-	fi\
+		)\.html/$*\.html/'`; \
+	if [ $$file != $$newfile ] ; then \
+		mv $$file $$newfile; \
+		echo "Rename $$file --> $$newfile"; \
+	fi \
 	done
 	touch $(MANUAL).$*.html.stamp
