=== debian/changelog ===
harden-doc (3.5) unstable; urgency=medium

  * Updated to latest CVS version (3.5): 
     - Patch from Joost van Baal improving the information on the firewall
       section (pointing to the wiki instead of listing all firewall packages
       available) (Closes: #339865)
     - Fix some  typos (Closes: #342152, #340535)
     - Provides new Makefile which builds with latest make version (Closes: #359840)
     - Use the quote from the Social Contract 1.1 instead of 1.0 as suggested
     by Francesco Poli. (Closes: #335104)
     - Included a patch from Thomas Sjgren which describes that
       'noexec' works as expected with "new" kernels, adds information
       regarding tempfile handling, and some new pointers to external documentation.
     - Add a pointer to Dan Farmer's and Wietse Venema's forensic discovery web
       site, as suggested by Freek Dijkstra, and expanded a little bit the forensic
       analysis section with more pointers.
     - Fixed URL of Italy's CERT, thanks to Christoph Auer.
     - Reuse Joey Hess' information at the wiki on secure apt and introduce it
       in the infrastructure section.
     - Review sections refering to old versions (woody or potato)
     - Fix some cosmetic issues with patch from Simon Brandmair.
     - Included patches from Carlo Perassi: acl patches are obsolete,
       openwall patches are obsolete too, removed fixme notes about 2.2 and 2.4
       series kernels, hap is obsolete (and not present in WNPP), remove
       references to Immunix (StackGuard is now in Novell's hands), and fix a
       FIXME
     - Updated references to SElinux web pages to point to the Wiki (currently
       the most up to date source of information)
     - Include file tags and make a more consistent use of "MD5 sum" with a
       patch from Jens Seidel.
     - Review the FAQ section on vulnerability stats, thanks to Carlos
       Galisteo de Cabo for pointing out that it was out of date. (Closes: #348851)
     - German tranlsation update
     - French translation update

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 30 Mar 2006 23:42:12 +0200
