=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: extra
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml, perl, texinfo, tetex-bin, tetex-extra, cjk-latex, hbf-kanji48
+Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml (>=1.1.86), perl, texinfo, tetex-bin, tetex-extra, gs-gpl | gs-esp, cjk-latex, hbf-kanji48, tfm-arphic-gkai00mp
 Standards-Version: 3.5.8
 
 Package: harden-doc
@@ -16,6 +16,6 @@
  The manual is provided both in English and in all available
  translations, which might not be, however fully up-to-date.
  Available translations include:
- French, German, Japenese, Italian, Russian, and Spanish. 
+ French, German, Japanese and Simplified Chinese.
  .
  Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/
