=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
@@ -41,10 +41,15 @@
 
 
 # Build architecture-independent files here.
+binary-arch: 
+
+# Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdebconf -i
+# Note: dh_dhelp is no longer available (deprecated) so we just ship
+# the doc-base files:
 	dh_installdocs -i
 #	dh_installexamples -i
 	dh_installinfo -i
@@ -59,4 +64,4 @@
 	dh_builddeb -i
 
 binary: binary-indep
-.PHONY: build clean binary-indep binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure
